---
title: '::-webkit-scrollbar'
slug: 'Web/CSS/::-webkit-scrollbar'
tags:
  - '::-webkit-scrollbar'
  - CSS
  - CSS Selectors
  - 'CSS:WebKit Extensions'
  - NeedsCompatTable
  - Non-standard
  - Pseudo-element
  - Reference
  - Selector
---
<p>{{CSSRef}}{{Draft}}{{Non-standard_Header}}</p>

<p>The <code>::-webkit-scrollbar</code> CSS pseudo-element affects the style of an element's scrollbar.</p>

<div class="notecard note">
<p><code>::-webkit-scrollbar</code> is only available in <a class="external external-icon" href="https://www.chromium.org/blink">Blink</a>- and <a class="external external-icon" href="https://webkit.org">WebKit</a>-based browsers (e.g., Chrome, Edge, Opera, Safari, all browsers on iOS, and <a href="https://en.wikipedia.org/wiki/List_of_web_browsers#WebKit-based">others</a>).</p>
</div>

<h2 id="CSS_Scrollbar_Selectors">CSS Scrollbar Selectors</h2>

<p>You can use the following pseudo-elements to customize various parts of the scrollbar for webkit browsers:</p>

<ul>
 <li><code>::-webkit-scrollbar</code> — the entire scrollbar.</li>
 <li><code>::-webkit-scrollbar-button</code> — the buttons on the scrollbar (arrows pointing upwards and downwards).</li>
 <li><code>::-webkit-scrollbar-thumb</code> — the draggable scrolling handle.</li>
 <li><code>::-webkit-scrollbar-track</code> — the track (progress bar) of the scrollbar.</li>
 <li><code>::-webkit-scrollbar-track-piece</code> — the part of the track (progress bar) not covered by the handle.</li>
 <li><code>::-webkit-scrollbar-corner</code> — the bottom corner of the scrollbar, where both horizontal and vertical scrollbars meet.</li>
 <li><code>::-webkit-resizer</code> — the draggable resizing handle that appears at the bottom corner of some elements.</li>
</ul>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">{{CSSSyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="CSS">CSS</h3>

<pre class="brush: css; highlight[8-10, 14-18,21-23] notranslate">.visible-scrollbar, .invisible-scrollbar, .mostly-customized-scrollbar {
  display: block;
  width: 10em;
  overflow: auto;
  height: 2em;
}

.invisible-scrollbar::-webkit-scrollbar {
  display: none;
}

/* Demonstrate a "mostly customized" scrollbar
 * (won't be visible otherwise if width/height is specified) */
.mostly-customized-scrollbar::-webkit-scrollbar {
  width: 5px;
  height: 8px;
  background-color: #aaa; /* or add it to the track */
}

/* Add a thumb */
.mostly-customized-scrollbar::-webkit-scrollbar-thumb {
    background: #000;
}
</pre>

<h3 id="HTML">HTML</h3>

<pre class="brush: html; highlight[1,15,19] notranslate">&lt;div class="visible-scrollbar"&gt;
  Etiam sagittis sem sed lacus laoreet, eu fermentum eros auctor.
  Proin at nulla elementum, consectetur ex eget, commodo ante.
  Sed eros mi, bibendum ut dignissim et, maximus eget nibh. Phasellus
  blandit quam turpis, at mollis velit pretium ut. Nunc consequat
  efficitur ultrices. Nullam hendrerit posuere est. Nulla libero
  sapien, egestas ac felis porta, cursus ultricies quam. Vestibulum
  tincidunt accumsan sapien, a fringilla dui semper in. Vivamus
  consectetur ipsum a ornare blandit. Aenean tempus at lorem sit
  amet faucibus. Curabitur nibh justo, faucibus sed velit cursus,
  mattis cursus dolor. Pellentesque id pretium est. Quisque
  convallis nisi a diam malesuada mollis. Aliquam at enim ligula.
&lt;/div&gt;

&lt;div class="invisible-scrollbar"&gt;
Thisisaveeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeerylongword
&lt;/div&gt;

&lt;div class="mostly-customized-scrollbar"&gt;
Thisisaveeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeerylongword&lt;br&gt;
And pretty tall&lt;br&gt;
thing with weird scrollbars.&lt;br&gt;
Who thought scrollbars could be made weeeeird?
&lt;/div&gt;</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<h3 id="-webkit-scrollbar"><code>::-webkit-scrollbar</code></h3>

<p>{{Compat("css.selectors.-webkit-scrollbar")}}</p>

<h3 id="-webkit-scrollbar-button"><code>::-webkit-scrollbar-button</code></h3>

<p>{{Compat("css.selectors.-webkit-scrollbar-button")}}</p>

<h3 id="-webkit-scrollbar-thumb"><code>::-webkit-scrollbar-thumb</code></h3>

<p>{{Compat("css.selectors.-webkit-scrollbar-thumb")}}</p>

<h3 id="-webkit-scrollbar-track"><code>::-webkit-scrollbar-track</code></h3>

<p>{{Compat("css.selectors.-webkit-scrollbar-track")}}</p>

<h3 id="-webkit-scrollbar-track-piece"><code>::-webkit-scrollbar-track-piece</code></h3>

<p>{{Compat("css.selectors.-webkit-scrollbar-track-piece")}}</p>

<h3 id="-webkit-scrollbar-corner"><code>::-webkit-scrollbar-corner</code></h3>

<p>{{Compat("css.selectors.-webkit-scrollbar-corner")}}</p>

<h3 id="-webkit-resizer"><code>::-webkit-resizer</code></h3>

<p>{{Compat("css.selectors.-webkit-resizer")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>WebKit blog on <a href="https://webkit.org/blog/363/styling-scrollbars/">Styling Scrollbars</a></li>
 <li><a href="https://trac.webkit.org/export/41842/trunk/LayoutTests/scrollbars/overflow-scrollbar-combinations.html">WebKit test</a> for scrollbar styles mentioned above</li>
 <li>{{CSSxRef("-ms-overflow-style")}}</li>
 <li>{{CSSxRef("scrollbar-width")}}</li>
</ul>
